[erlang-questions] Using the half-word emulator with the erlang-solutions ubuntu package

Konrad Gądek <>
Wed Apr 10 20:36:48 CEST 2013


As far as I'm aware, we don't have half-word emulator enabled in our packages, so this seems like an erroneous statement on ESL website -- I'll investigate it more tomorrow.

Both disabling HiPE and enabling half-word emulator are done while building packages. Some more info: http://stackoverflow.com/a/1185490/547223

/Konrad Gądek

----- Original Message -----
From: "pablo platt" <>
Sent: Wednesday, April 10, 2013 2:59:07 PM
Subject: [erlang-questions] Using the half-word emulator with the	erlang-solutions ubuntu package


The page on the erlang-solutions website says that the packages support the half-word emulator: 
"These have included HiPE enabled, 32 and 64 bit configurations, alongside the half-word emulator" 

I see [hipe] when starting the shell so half-word is probably not enabled. 
I'm not using hipe so there is no problem disabling it. 

Do I need to set a flag when installing the deb package? 
Do I need to use a flag when starting erlang or creating a release with rebar in the vm.args? 

Are there reasons not to use half-word besides the 4GB process memory limit? 


erlang-questions mailing list


More information about the erlang-questions mailing list